package ejb3;

import par.LogEntry;

import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;
import javax.ejb.Stateless;

@Stateless
public class LogWriterBean implements LogWriter {
  @PersistenceContext(unitName = "MyTestPar")
  EntityManager em;

  public void addLog( final LogEntry logEntry ) {
    System.out.println( "Setting Log Entry: "+logEntry.toString() );
    em.merge(logEntry);
  }

}